### Method

# Gtk.Picture.set_file

#### Declaration [src]

    void
    gtk_picture_set_file (
      GtkPicture* self,
      GFile* file
    )

#### Description [src]

Makes `self` load and display `file`.

See `gtk_picture_new_for_file()` for details.

Sets property | `Gtk.Picture:file`

#### Parameters

`file` | `GFile*`
| a `GFile` or `NULL`
| Can be `NULL`
| Ownership is not transferred to the callee